Bug 27625 - Remove uk-UA installer data
Summary: Remove uk-UA installer data
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Joonas Kylmälä
URL: https://gitlab.com/joubu/Koha/-/tree/...
Keywords:
Depends on: 24871 24973
Blocks: 27829
  Show dependency treegraph
 
Reported: 2021-02-04 08:59 UTC by Jonathan Druart
Modified: 2021-05-12 15:08 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-02-04 08:59:37 UTC
Now we can translate all installer data, then the uk-UA directory is no longer needed.
Comment 1 Jonathan Druart 2021-03-10 13:21:11 UTC
https://gitlab.com/joubu/Koha/-/tree/bug_27625
Comment 2 Martin Renvoize 2021-04-09 08:35:43 UTC
Looks solid to me, checkout out the remote branch and confirmed it all appears good.

Setting signed off (I'll leave the SO lines to Jonathan as it's on his remote branch).
Comment 3 Joonas Kylmälä 2021-04-15 12:41:10 UTC
Hi,

the custom.sql patch contains syntax error:

> $ koha-mysql kohadev < installer/data/mysql/localization/uk-UA/custom.sql
> ERROR 1064 (42000) at line 23: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ''PLN', 'zł',   6.43006,   0, 0)' at line 1

Can you please rebase the first patch as well, it doesn't apply anymore.
Comment 4 Jonathan Druart 2021-04-15 14:02:53 UTC
Done!
Comment 5 Joonas Kylmälä 2021-04-16 07:37:31 UTC
Passing QA:

Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 6 Jonathan Druart 2021-05-10 14:18:19 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-05-12 15:08:50 UTC
Not pushed to 20.11.x